Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QEvent.Type

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QEvent.Type

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QEvent

    public static final class QEvent.Type

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QEvent.Type` | `AcceptDropsChange`
`static QEvent.Type` | `AccessibilityDescription`
`static QEvent.Type` | `AccessibilityHelp`
`static QEvent.Type` | `AccessibilityPrepare`
`static QEvent.Type` | `ActionAdded`
`static QEvent.Type` | `ActionChanged`
`static QEvent.Type` | `ActionRemoved`
`static QEvent.Type` | `ActivateControl`
`static QEvent.Type` | `ActivationChange`
`static QEvent.Type` | `ApplicationActivate`
`static QEvent.Type` | `ApplicationDeactivate`
`static QEvent.Type` | `ApplicationFontChange`
`static QEvent.Type` | `ApplicationLayoutDirectionChange`
`static QEvent.Type` | `ApplicationPaletteChange`
`static QEvent.Type` | `ApplicationWindowIconChange`
`static QEvent.Type` | `ChildAdded`
`static QEvent.Type` | `ChildPolished`
`static QEvent.Type` | `ChildRemoved`
`static QEvent.Type` | `Clipboard`
`static QEvent.Type` | `Close`
`static QEvent.Type` | `ContentsRectChange`
`static QEvent.Type` | `ContextMenu`
`static QEvent.Type` | `Create`
`static QEvent.Type` | `CursorChange`
`static QEvent.Type` | `CustomEnum`
`static QEvent.Type` | `DeactivateControl`
`static QEvent.Type` | `DeferredDelete`
`static QEvent.Type` | `Destroy`
`static QEvent.Type` | `DragEnter`
`static QEvent.Type` | `DragLeave`
`static QEvent.Type` | `DragMove`
`static QEvent.Type` | `DragResponse`
`static QEvent.Type` | `Drop`
`static QEvent.Type` | `DynamicPropertyChange`
`static QEvent.Type` | `EmbeddingControl`
`static QEvent.Type` | `EnabledChange`
`static QEvent.Type` | `Enter`
`static QEvent.Type` | `EnterWhatsThisMode`
`static QEvent.Type` | `FileOpen`
`static QEvent.Type` | `FocusIn`
`static QEvent.Type` | `FocusOut`
`static QEvent.Type` | `FontChange`
`static QEvent.Type` | `FutureCallOut`
`static QEvent.Type` | `GrabKeyboard`
`static QEvent.Type` | `GrabMouse`
`static QEvent.Type` | `GraphicsSceneContextMenu`
`static QEvent.Type` | `GraphicsSceneDragEnter`
`static QEvent.Type` | `GraphicsSceneDragLeave`
`static QEvent.Type` | `GraphicsSceneDragMove`
`static QEvent.Type` | `GraphicsSceneDrop`
`static QEvent.Type` | `GraphicsSceneHelp`
`static QEvent.Type` | `GraphicsSceneHoverEnter`
`static QEvent.Type` | `GraphicsSceneHoverLeave`
`static QEvent.Type` | `GraphicsSceneHoverMove`
`static QEvent.Type` | `GraphicsSceneMouseDoubleClick`
`static QEvent.Type` | `GraphicsSceneMouseMove`
`static QEvent.Type` | `GraphicsSceneMousePress`
`static QEvent.Type` | `GraphicsSceneMouseRelease`
`static QEvent.Type` | `GraphicsSceneMove`
`static QEvent.Type` | `GraphicsSceneResize`
`static QEvent.Type` | `GraphicsSceneWheel`
`static QEvent.Type` | `HelpRequest`
`static QEvent.Type` | `Hide`
`static QEvent.Type` | `HideToParent`
`static QEvent.Type` | `HoverEnter`
`static QEvent.Type` | `HoverLeave`
`static QEvent.Type` | `HoverMove`
`static QEvent.Type` | `IconDrag`
`static QEvent.Type` | `IconTextChange`
`static QEvent.Type` | `InputMethod`
`static QEvent.Type` | `KeyboardLayoutChange`
`static QEvent.Type` | `KeyPress`
`static QEvent.Type` | `KeyRelease`
`static QEvent.Type` | `LanguageChange`
`static QEvent.Type` | `LayoutDirectionChange`
`static QEvent.Type` | `LayoutRequest`
`static QEvent.Type` | `Leave`
`static QEvent.Type` | `LeaveWhatsThisMode`
`static QEvent.Type` | `LocaleChange`
`static QEvent.Type` | `MacGLWindowChange`
`static QEvent.Type` | `MacSizeChange`
`static QEvent.Type` | `MaxUser`
`static QEvent.Type` | `MenubarUpdated`
`static QEvent.Type` | `MetaCall`
`static QEvent.Type` | `ModifiedChange`
`static QEvent.Type` | `MouseButtonDblClick`
`static QEvent.Type` | `MouseButtonPress`
`static QEvent.Type` | `MouseButtonRelease`
`static QEvent.Type` | `MouseMove`
`static QEvent.Type` | `MouseTrackingChange`
`static QEvent.Type` | `Move`
`static QEvent.Type` | `NetworkReplyUpdated`
`static QEvent.Type` | `NonClientAreaMouseButtonDblClick`
`static QEvent.Type` | `NonClientAreaMouseButtonPress`
`static QEvent.Type` | `NonClientAreaMouseButtonRelease`
`static QEvent.Type` | `NonClientAreaMouseMove`
`static QEvent.Type` | `None`
`static QEvent.Type` | `OkRequest`
`static QEvent.Type` | `Paint`
`static QEvent.Type` | `PaletteChange`
`static QEvent.Type` | `ParentAboutToChange`
`static QEvent.Type` | `ParentChange`
`static QEvent.Type` | `Polish`
`static QEvent.Type` | `PolishRequest`
`static QEvent.Type` | `QueryWhatsThis`
`static QEvent.Type` | `Quit`
`static QEvent.Type` | `Resize`
`static QEvent.Type` | `Shortcut`
`static QEvent.Type` | `ShortcutOverride`
`static QEvent.Type` | `Show`
`static QEvent.Type` | `ShowToParent`
`static QEvent.Type` | `ShowWindowRequest`
`static QEvent.Type` | `SockAct`
`static QEvent.Type` | `Speech`
`static QEvent.Type` | `StatusTip`
`static QEvent.Type` | `Style`
`static QEvent.Type` | `StyleChange`
`static QEvent.Type` | `TabletEnterProximity`
`static QEvent.Type` | `TabletLeaveProximity`
`static QEvent.Type` | `TabletMove`
`static QEvent.Type` | `TabletPress`
`static QEvent.Type` | `TabletRelease`
`static QEvent.Type` | `ThreadChange`
`static QEvent.Type` | `Timer`
`static QEvent.Type` | `ToolBarChange`
`static QEvent.Type` | `ToolTip`
`static QEvent.Type` | `ToolTipChange`
`static QEvent.Type` | `UngrabKeyboard`
`static QEvent.Type` | `UngrabMouse`
`static QEvent.Type` | `UpdateLater`
`static QEvent.Type` | `UpdateRequest`
`static QEvent.Type` | `User`
`static QEvent.Type` | `WhatsThis`
`static QEvent.Type` | `WhatsThisClicked`
`static QEvent.Type` | `Wheel`
`static QEvent.Type` | `WindowActivate`
`static QEvent.Type` | `WindowBlocked`
`static QEvent.Type` | `WindowDeactivate`
`static QEvent.Type` | `WindowIconChange`
`static QEvent.Type` | `WindowStateChange`
`static QEvent.Type` | `WindowTitleChange`
`static QEvent.Type` | `WindowUnblocked`
`static QEvent.Type` | `WinEventAct`
`static QEvent.Type` | `ZeroTimerEvent`
`static QEvent.Type` | `ZOrderChange`

Method Summary
`static QEvent.Type` | `resolve(int value)` Returns the Type constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QEvent.Type` | `valueOf(java.lang.String name)`
`static QEvent.Type[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### None

    public static final QEvent.Type None

### Timer

    public static final QEvent.Type Timer

### MouseButtonPress

    public static final QEvent.Type MouseButtonPress

### MouseButtonRelease

    public static final QEvent.Type MouseButtonRelease

### MouseButtonDblClick

    public static final QEvent.Type MouseButtonDblClick

### MouseMove

    public static final QEvent.Type MouseMove

### KeyPress

    public static final QEvent.Type KeyPress

### KeyRelease

    public static final QEvent.Type KeyRelease

### FocusIn

    public static final QEvent.Type FocusIn

### FocusOut

    public static final QEvent.Type FocusOut

### Enter

    public static final QEvent.Type Enter

### Leave

    public static final QEvent.Type Leave

### Paint

    public static final QEvent.Type Paint

### Move

    public static final QEvent.Type Move

### Resize

    public static final QEvent.Type Resize

### Create

    public static final QEvent.Type Create

### Destroy

    public static final QEvent.Type Destroy

### Show

    public static final QEvent.Type Show

### Hide

    public static final QEvent.Type Hide

### Close

    public static final QEvent.Type Close

### Quit

    public static final QEvent.Type Quit

### ParentChange

    public static final QEvent.Type ParentChange

### ParentAboutToChange

    public static final QEvent.Type ParentAboutToChange

### ThreadChange

    public static final QEvent.Type ThreadChange

### WindowActivate

    public static final QEvent.Type WindowActivate

### WindowDeactivate

    public static final QEvent.Type WindowDeactivate

### ShowToParent

    public static final QEvent.Type ShowToParent

### HideToParent

    public static final QEvent.Type HideToParent

### Wheel

    public static final QEvent.Type Wheel

### WindowTitleChange

    public static final QEvent.Type WindowTitleChange

### WindowIconChange

    public static final QEvent.Type WindowIconChange

### ApplicationWindowIconChange

    public static final QEvent.Type ApplicationWindowIconChange

### ApplicationFontChange

    public static final QEvent.Type ApplicationFontChange

### ApplicationLayoutDirectionChange

    public static final QEvent.Type ApplicationLayoutDirectionChange

### ApplicationPaletteChange

    public static final QEvent.Type ApplicationPaletteChange

### PaletteChange

    public static final QEvent.Type PaletteChange

### Clipboard

    public static final QEvent.Type Clipboard

### Speech

    public static final QEvent.Type Speech

### MetaCall

    public static final QEvent.Type MetaCall

### SockAct

    public static final QEvent.Type SockAct

### WinEventAct

    public static final QEvent.Type WinEventAct

### DeferredDelete

    public static final QEvent.Type DeferredDelete

### DragEnter

    public static final QEvent.Type DragEnter

### DragMove

    public static final QEvent.Type DragMove

### DragLeave

    public static final QEvent.Type DragLeave

### Drop

    public static final QEvent.Type Drop

### DragResponse

    public static final QEvent.Type DragResponse

### ChildAdded

    public static final QEvent.Type ChildAdded

### ChildPolished

    public static final QEvent.Type ChildPolished

### ChildRemoved

    public static final QEvent.Type ChildRemoved

### ShowWindowRequest

    public static final QEvent.Type ShowWindowRequest

### PolishRequest

    public static final QEvent.Type PolishRequest

### Polish

    public static final QEvent.Type Polish

### LayoutRequest

    public static final QEvent.Type LayoutRequest

### UpdateRequest

    public static final QEvent.Type UpdateRequest

### UpdateLater

    public static final QEvent.Type UpdateLater

### EmbeddingControl

    public static final QEvent.Type EmbeddingControl

### ActivateControl

    public static final QEvent.Type ActivateControl

### DeactivateControl

    public static final QEvent.Type DeactivateControl

### ContextMenu

    public static final QEvent.Type ContextMenu

### InputMethod

    public static final QEvent.Type InputMethod

### AccessibilityPrepare

    public static final QEvent.Type AccessibilityPrepare

### TabletMove

    public static final QEvent.Type TabletMove

### LocaleChange

    public static final QEvent.Type LocaleChange

### LanguageChange

    public static final QEvent.Type LanguageChange

### LayoutDirectionChange

    public static final QEvent.Type LayoutDirectionChange

### Style

    public static final QEvent.Type Style

### TabletPress

    public static final QEvent.Type TabletPress

### TabletRelease

    public static final QEvent.Type TabletRelease

### OkRequest

    public static final QEvent.Type OkRequest

### HelpRequest

    public static final QEvent.Type HelpRequest

### IconDrag

    public static final QEvent.Type IconDrag

### FontChange

    public static final QEvent.Type FontChange

### EnabledChange

    public static final QEvent.Type EnabledChange

### ActivationChange

    public static final QEvent.Type ActivationChange

### StyleChange

    public static final QEvent.Type StyleChange

### IconTextChange

    public static final QEvent.Type IconTextChange

### ModifiedChange

    public static final QEvent.Type ModifiedChange

### MouseTrackingChange

    public static final QEvent.Type MouseTrackingChange

### WindowBlocked

    public static final QEvent.Type WindowBlocked

### WindowUnblocked

    public static final QEvent.Type WindowUnblocked

### WindowStateChange

    public static final QEvent.Type WindowStateChange

### ToolTip

    public static final QEvent.Type ToolTip

### WhatsThis

    public static final QEvent.Type WhatsThis

### StatusTip

    public static final QEvent.Type StatusTip

### ActionChanged

    public static final QEvent.Type ActionChanged

### ActionAdded

    public static final QEvent.Type ActionAdded

### ActionRemoved

    public static final QEvent.Type ActionRemoved

### FileOpen

    public static final QEvent.Type FileOpen

### Shortcut

    public static final QEvent.Type Shortcut

### ShortcutOverride

    public static final QEvent.Type ShortcutOverride

### WhatsThisClicked

    public static final QEvent.Type WhatsThisClicked

### ToolBarChange

    public static final QEvent.Type ToolBarChange

### ApplicationActivate

    public static final QEvent.Type ApplicationActivate

### ApplicationDeactivate

    public static final QEvent.Type ApplicationDeactivate

### QueryWhatsThis

    public static final QEvent.Type QueryWhatsThis

### EnterWhatsThisMode

    public static final QEvent.Type EnterWhatsThisMode

### LeaveWhatsThisMode

    public static final QEvent.Type LeaveWhatsThisMode

### ZOrderChange

    public static final QEvent.Type ZOrderChange

### HoverEnter

    public static final QEvent.Type HoverEnter

### HoverLeave

    public static final QEvent.Type HoverLeave

### HoverMove

    public static final QEvent.Type HoverMove

### AccessibilityHelp

    public static final QEvent.Type AccessibilityHelp

### AccessibilityDescription

    public static final QEvent.Type AccessibilityDescription

### AcceptDropsChange

    public static final QEvent.Type AcceptDropsChange

### MenubarUpdated

    public static final QEvent.Type MenubarUpdated

### ZeroTimerEvent

    public static final QEvent.Type ZeroTimerEvent

### GraphicsSceneMouseMove

    public static final QEvent.Type GraphicsSceneMouseMove

### GraphicsSceneMousePress

    public static final QEvent.Type GraphicsSceneMousePress

### GraphicsSceneMouseRelease

    public static final QEvent.Type GraphicsSceneMouseRelease

### GraphicsSceneMouseDoubleClick

    public static final QEvent.Type GraphicsSceneMouseDoubleClick

### GraphicsSceneContextMenu

    public static final QEvent.Type GraphicsSceneContextMenu

### GraphicsSceneHoverEnter

    public static final QEvent.Type GraphicsSceneHoverEnter

### GraphicsSceneHoverMove

    public static final QEvent.Type GraphicsSceneHoverMove

### GraphicsSceneHoverLeave

    public static final QEvent.Type GraphicsSceneHoverLeave

### GraphicsSceneHelp

    public static final QEvent.Type GraphicsSceneHelp

### GraphicsSceneDragEnter

    public static final QEvent.Type GraphicsSceneDragEnter

### GraphicsSceneDragMove

    public static final QEvent.Type GraphicsSceneDragMove

### GraphicsSceneDragLeave

    public static final QEvent.Type GraphicsSceneDragLeave

### GraphicsSceneDrop

    public static final QEvent.Type GraphicsSceneDrop

### GraphicsSceneWheel

    public static final QEvent.Type GraphicsSceneWheel

### KeyboardLayoutChange

    public static final QEvent.Type KeyboardLayoutChange

### DynamicPropertyChange

    public static final QEvent.Type DynamicPropertyChange

### TabletEnterProximity

    public static final QEvent.Type TabletEnterProximity

### TabletLeaveProximity

    public static final QEvent.Type TabletLeaveProximity

### NonClientAreaMouseMove

    public static final QEvent.Type NonClientAreaMouseMove

### NonClientAreaMouseButtonPress

    public static final QEvent.Type NonClientAreaMouseButtonPress

### NonClientAreaMouseButtonRelease

    public static final QEvent.Type NonClientAreaMouseButtonRelease

### NonClientAreaMouseButtonDblClick

    public static final QEvent.Type NonClientAreaMouseButtonDblClick

### MacSizeChange

    public static final QEvent.Type MacSizeChange

### ContentsRectChange

    public static final QEvent.Type ContentsRectChange

### MacGLWindowChange

    public static final QEvent.Type MacGLWindowChange

### FutureCallOut

    public static final QEvent.Type FutureCallOut

### GraphicsSceneResize

    public static final QEvent.Type GraphicsSceneResize

### GraphicsSceneMove

    public static final QEvent.Type GraphicsSceneMove

### CursorChange

    public static final QEvent.Type CursorChange

### ToolTipChange

    public static final QEvent.Type ToolTipChange

### NetworkReplyUpdated

    public static final QEvent.Type NetworkReplyUpdated

### GrabMouse

    public static final QEvent.Type GrabMouse

### UngrabMouse

    public static final QEvent.Type UngrabMouse

### GrabKeyboard

    public static final QEvent.Type GrabKeyboard

### UngrabKeyboard

    public static final QEvent.Type UngrabKeyboard

### User

    public static final QEvent.Type User

### MaxUser

    public static final QEvent.Type MaxUser

### CustomEnum

    public static final QEvent.Type CustomEnum

Method Detail

### values

    public static QEvent.Type[] values()

### valueOf

    public static QEvent.Type valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QEvent.Type resolve(int value)

  Returns the Type constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD